class
	PROJECT_SETTINGS

inherit
	ANY
		redefine
			default_create
		end

create
	default_create

feature {NONE}

	default_create
		do
			libraries := create {TWO_WAY_LIST [STRING_8]}.make
			include_dirs := create {TWO_WAY_LIST [STRING_8]}.make
		end

feature {ANY}

	cil_file: RAW_FILE assign set_cil_file

	set_cil_file (a_cil_file: RAW_FILE)
		require
			a_cil_file /= Void and then a_cil_file.exists
		do
			cil_file := a_cil_file
		end

	output_dir: DIRECTORY assign set_output_dir

	set_output_dir (a_output_dir: DIRECTORY)
		require
			a_output_dir /= Void and then a_output_dir.exists
		do
			output_dir := a_output_dir
		end

	libraries: LIST [STRING_8]

	include_dirs: LIST [STRING_8]

	disable_bounds_checking: BOOLEAN assign set_disable_bounds_checking

	set_disable_bounds_checking (a_disable_bounds_checking: BOOLEAN)
		do
			disable_bounds_checking := a_disable_bounds_checking
		end

invariant
	libraries /= Void
	include_dirs /= Void

end
